require 'helper'

class TestPortableDebugger < PortableDebugger::TestCase
  execute_if_ruby_version( 1.9 ) do
    should "work in Ruby 1.9" do
      assert defined?(Debugger)
      assert self.methods.include?(:debugger)
      assert self.methods.include?(:byebug)
    end
  end

  execute_if_ruby_version( 2 ) do
    should "work in Ruby 2.x" do
      assert defined?(Byebug)
      assert self.methods.include?(:debugger)
      assert self.methods.include?(:byebug)
    end
  end

  execute_if_ruby_version( 1.8 ) do
    should "work in Ruby 1.8" do
      assert defined?(Debugger)
      assert self.methods.include?(:debugger)
      assert self.methods.include?(:byebug)
    end
  end
end
